Skip to main content

Get a unit by ID

GEThttps://api.propexo.com/v1/units/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the unit

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/unitsUnits
    Example: 1e27ba97-ef0b-4761-b848-4f3198b8560e
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v0/unitsUnits
    Example: 53a9e06a-9e8b-4874-8013-01a08acd7fa1
    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    MethodInterface
    /v0/unitsUnits
    Example: 22cd4f16-fad2-4ec6-ad75-0f13f1a43f42
    x_unit_type_idnullrequired

    The external ID of the unit type from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 1.0
    bathrooms_fullnumber | nullnullablerequired

    The number of full bathrooms associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 1
    bathrooms_halfnumber | nullnullablerequired

    The number of half bathrooms associated with the unit

    MethodInterface
    /v0/unitsUnits
    bedroomsstring | nullnullablerequired

    The number of bedrooms associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 2
    building_namenullrequired

    The building name associated with the unit

    Notice

    This field will always be null for APPFOLIO

    Example: null
    building_numbernullrequired

    The building number associated with the unit

    Notice

    This field will always be null for APPFOLIO

    Example: null
    citystring | nullnullablerequired

    The city associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: Los Angeles
    countrynullrequired

    The country associated with the unit

    Notice

    This field will always be null for APPFOLIO

    Example: null
    custom_data object | nullrequired
    object
    floor_plan_codestring | nullnullablerequired

    The external ID of the floor plan associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 7966a03d-449a-43f8-944a-f1072cec9192
    floor_plan_namestring | nullnullablerequired

    The floor plan name associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 1 Bedroom Unit
    floornullrequired

    The floor number/name associated with the unit

    Notice

    This field will always be null for APPFOLIO

    Example: null
    is_availableboolean | nullnullablerequired

    Whether the unit is available

    MethodInterface
    /v0/unitsUnits
    Example: true
    is_furnishednullrequired

    Whether the unit is furnished

    Notice

    This field will always be null for APPFOLIO

    Example: null
    is_listednullrequireddeprecated

    DEPRECATED: Use listings endpoints.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    is_vacantboolean | nullnullablerequired

    Whether the unit is vacant

    Important

    This is derived from the "Status" field being "Vacant". If you'd like the raw value of this field, contact support.

    MethodInterface
    /v0/unitsUnits
    Example: true
    numberstring | nullnullablerequired

    The unit number

    MethodInterface
    /v0/unitsUnits
    Example: Detra Stokes
    rent_amount_market_in_centsnumber | nullnullablerequired

    The market rent amount in cents for the unit

    MethodInterface
    /v0/unitsUnits
    Example: 150000
    rent_amount_max_in_centsnullrequired

    The maximum rent amount in cents

    Notice

    This field will always be null for APPFOLIO

    Example: null
    rent_amount_min_in_centsnullrequired

    The minimum rent amount in cents

    Notice

    This field will always be null for APPFOLIO

    Example: null
    square_feetinteger | nullnullablerequired

    The square footage of the unit

    MethodInterface
    /v0/unitsUnits

    Possible values: >= 0

    Example: 1090
    statestring | nullnullablerequired

    The state associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: CA
    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    MethodInterface
    /v0/unitsUnits
    street_address_2string | nullnullablerequireddeprecated

    Deprecated: Use address_2

    MethodInterface
    /v0/unitsUnits
    address_1string | nullnullablerequired

    The first address line associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 123 Sesame St
    address_2string | nullnullablerequired

    The second address line associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 123 Sesame St
    zipstring | nullnullablerequired

    The zip code associated with the unit

    MethodInterface
    /v0/unitsUnits
    Example: 14304
    pets_allowednullrequired

    Whether or not pets are allowed

    Notice

    This field will always be null for APPFOLIO

    Example: null
    dogs_allowednullrequired

    Whether or not dogs are allowed

    Notice

    This field will always be null for APPFOLIO

    Example: null
    cats_allowednullrequired

    Whether or not cats are allowed

    Notice

    This field will always be null for APPFOLIO

    Example: null
    pet_policynullrequired

    The pet policy for the unit

    Notice

    This field will always be null for APPFOLIO

    Example: null
    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

    MethodInterface
    /v0/unitsUnits
    Example: cm7xvp5vb88803888363al35e7bse4z
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum13required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: APPFOLIO
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_type_idnullrequired

    The Propexo unique identifier for the unit type

    Notice

    This field will always be null for APPFOLIO

    Example: null

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/units/:id
curl https://api.propexo.com/v1/units/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1e27ba97-ef0b-4761-b848-4f3198b8560e",
"x_property_id": "53a9e06a-9e8b-4874-8013-01a08acd7fa1",
"x_floor_plan_id": "22cd4f16-fad2-4ec6-ad75-0f13f1a43f42",
"x_unit_type_id": null,
"bathrooms": "1.0",
"bathrooms_full": 1,
"bathrooms_half": 0,
"bedrooms": "2",
"building_name": null,
"building_number": null,
"city": "Los Angeles",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor_plan_code": "7966a03d-449a-43f8-944a-f1072cec9192",
"floor_plan_name": "1 Bedroom Unit",
"floor": null,
"is_available": true,
"is_furnished": null,
"is_vacant": true,
"number": "Detra Stokes",
"rent_amount_market_in_cents": 150000,
"rent_amount_max_in_cents": null,
"rent_amount_min_in_cents": null,
"square_feet": 1090,
"state": "CA",
"address_1": "123 Sesame St",
"address_2": "123 Sesame St",
"zip": "14304",
"pets_allowed": null,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": null
}
}